Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ViewAnnotationSelectionDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ViewAnnotationSelectionDialog.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ViewAnnotationSelectionDialog.java	(revision 3940)
@@ -46,8 +46,6 @@
 	 * Instantiates a new view property selection dialog.
 	 *
 	 * @param parentShell the parent shell
-	 * @param availableProperties the available properties
-	 * @param selectedProperties the selected properties
 	 */
 	public ViewAnnotationSelectionDialog(IShellProvider parentShell) {
 		super(parentShell);
@@ -59,8 +57,6 @@
 	 * Instantiates a new view property selection dialog.
 	 *
 	 * @param shell the shell
-	 * @param availableProperties the available properties
-	 * @param selectedProperties the selected properties
 	 */
 	public ViewAnnotationSelectionDialog(Shell shell) {
 		super(shell);
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 3940)
@@ -944,8 +944,6 @@
 	/**
 	 * Lazy loads the concordance lines range and fills the display area.
 	 *
-	 * @param from the from
-	 * @param to the to
 	 */
 	public void fillDisplayArea(boolean update) {
 		
@@ -1478,8 +1476,7 @@
 	/**
 	 * refresh
 	 * 
-	 * @param top
-	 * @param bottom
+	 * @param update
 	 */
 	@Override
 	public void updateEditorFromResult(boolean update) {
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java	(revision 3940)
@@ -283,7 +283,6 @@
 	 * Loads the metadatas values and store them per text id.
 	 *
 	 * @param property the property
-	 * @return
 	 * @return the text metadatas
 	 * @throws UnexpectedAnswerException the unexpected answer exception
 	 * @throws IOException Signals that an I/O exception has occurred.
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 3940)
@@ -845,9 +845,6 @@
 	 * return the last CQP error.
 	 *
 	 * @return the last error
-	 * @throws UnexpectedAnswerException Signals that the data read on the socket is unexpected
-	 * @throws IOException Signals that an I/O exception has occurred.
-	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
 	public synchronized String getLastCQPError() {
@@ -1366,8 +1363,6 @@
 	/**
 	 * Evaluate and run a raw CQP query.
 	 *
-	 * @param motherCorpus the mother corpus
-	 * @param subcorpus the subcorpus
 	 * @param query the query
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 * @throws UnexpectedAnswerException Signals that the data read on the socket is unexpected
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Alignement.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Alignement.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Alignement.java	(revision 3940)
@@ -43,7 +43,7 @@
 	/**
 	 * 
 	 * @param wordid
-	 * @param txtid
+	 * @param textid
 	 * @return the word id and text id of the [to] corpus.
 	 * @throws CqiClientException
 	 * @throws InvalidCqpIdException
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Property.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Property.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Property.java	(revision 3940)
@@ -140,7 +140,6 @@
 	 * @param corpus
 	 * @param str the String to 'deserialize'. Each property is separated with 1 tabulation. Then calls fromString on each token
 	 * @return a list of StructuralUnitProperty if the s param is well formed
-	 * @throws CqiClientException
 	 */
 	public static List<? extends Property> stringToProperties(CQPCorpus corpus, String str) {
 		ArrayList<Property> properties = new ArrayList<>();
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 3940)
@@ -107,7 +107,7 @@
 	
 	/**
 	 * 
-	 * @param partition
+	 * @param result parent result
 	 */
 	public Subcorpus(QueryBasedTXMResult result) {
 		super(result);
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/Match.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/Match.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/Match.java	(revision 3940)
@@ -175,10 +175,8 @@
 	/**
 	 * Gets the values for property.
 	 * 
-	 * @param property
-	 *            the property
-	 * @param matches
-	 *            the matches to get the values for
+	 * @param property the property
+	 * @param match the match to get the values for
 	 * 
 	 * @return the values for property
 	 * 
@@ -225,10 +223,7 @@
 	/**
 	 * Gets the values for property.
 	 * 
-	 * @param property
-	 *            the property
-	 * @param positions
-	 *            the positions to get the values for
+	 * @param property the property
 	 * 
 	 * @return the values for property
 	 * 
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/MatchUtils.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/MatchUtils.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/MatchUtils.java	(revision 3940)
@@ -76,8 +76,8 @@
 	
 	/**
 	 * 
-	 * @param match1
-	 * @param match2
+	 * @param from
+	 * @param to
 	 * @return array of int position from a Match start to another Match end
 	 */
 	public static int[] toPositions(int from, int to) {
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/LengthProperty.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/LengthProperty.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/LengthProperty.java	(revision 3940)
@@ -22,7 +22,6 @@
 	/**
 	 * Creates a new WordProperty.
 	 * 
-	 * @param name
 	 * @param corpus
 	 */
 	public LengthProperty(CQPCorpus corpus) {
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/FakeQueryResult.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/FakeQueryResult.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/FakeQueryResult.java	(revision 3940)
@@ -53,10 +53,8 @@
 	/**
 	 * Instantiates a new query result.
 	 * 
-	 * Not intended to be used directly. See {@link CQPCorpus#query(CQLQuery, String)}
+	 * Not intended to be used directly. 
 	 * 
-	 * @param cqpId
-	 *            the cqp id
 	 * @param name
 	 *            the name
 	 * @param queriedCorpus
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPEdition.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPEdition.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPEdition.java	(revision 3940)
@@ -68,7 +68,7 @@
 	/**
 	 * Gets the page.
 	 *
-	 * @param no the no
+	 * @param n the no of the page to get
 	 * @return the page
 	 */
 	public Page getPage(int n) {
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/QueryResult.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/QueryResult.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/QueryResult.java	(revision 3940)
@@ -76,19 +76,14 @@
 	/**
 	 * Instantiates a new query result.
 	 * 
-	 * Not intended to be used directly. See {@link CQPCorpus#query(CQLQuery, String)}
+	 * Not intended to be used directly. See {@link CQPCorpus#query(CQLQuery, String, boolean)}
 	 * 
-	 * @param cqpId
-	 *            the cqp id
-	 * @param name
-	 *            the name
-	 * @param queriedCorpus
-	 *            the queried corpus
-	 * @param query
-	 *            the query
+	 * @param cqpId the cqp id
+	 * @param name the name
+	 * @param queriedCorpus the queried corpus
+	 * @param query the query
 	 * 
-	 * @throws InvalidCqpIdException
-	 *             the invalid cqp id exception
+	 * @throws InvalidCqpIdException the invalid cqp id exception
 	 */
 	public QueryResult(String cqpId, String name, CQPCorpus queriedCorpus,
 			CQLQuery query) throws InvalidCqpIdException {
@@ -99,8 +94,7 @@
 		this.name = name;
 		this.queriedCorpus = queriedCorpus;
 		if (queriedCorpus instanceof Subcorpus) {
-			this.motherMainCorpus = ((Subcorpus) queriedCorpus)
-					.getMainCorpus();
+			this.motherMainCorpus = ((Subcorpus) queriedCorpus).getMainCorpus();
 		}
 		else {
 			this.motherMainCorpus = ((MainCorpus) queriedCorpus);
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPLexicon.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPLexicon.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPLexicon.java	(revision 3940)
@@ -520,11 +520,7 @@
 	/**
 	 * Hack frequencies using a map to set forms and frequencies
 	 *
-	 * @param corpus the corpus
-	 * @param pProperty the property
 	 * @param map the map
-	 *            {@link CQPCorpus#getLexicon(Property)} or
-	 *            {@link Subcorpus#getLexicon(Property)}.
 	 */
 	public boolean hack(Map<String, Integer> map) {
 		if (map.size() != forms.length) {
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 3940)
@@ -138,10 +138,6 @@
 	/**
 	 * Computes the Partition using a list of queries.
 	 *
-	 * @param corpus the corpus
-	 * @param name the name
-	 * @param queries the queries
-	 * @param partnames the partnames
 	 * @throws Exception
 	 */
 	public boolean _compute_with_lists(TXMProgressMonitor monitor) throws Exception {
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/PositionProperty.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/PositionProperty.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/PositionProperty.java	(revision 3940)
@@ -20,7 +20,6 @@
 	/**
 	 * Creates a new WordProperty.
 	 * 
-	 * @param name
 	 * @param corpus
 	 */
 	public PositionProperty(CQPCorpus corpus) {
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 3940)
@@ -105,7 +105,6 @@
 	/**
 	 * store an object for a maximum of 5 object cached per object
 	 * 
-	 * @param forObject
 	 * @param toCache
 	 * @return
 	 */
@@ -157,8 +156,6 @@
 	/**
 	 * retrieve all cached objects for an object
 	 * 
-	 * @param forObject
-	 * @param c
 	 * @return
 	 */
 	public HashMap<Class<?>, ArrayList<?>> getObjectCache() {
@@ -168,7 +165,6 @@
 	/**
 	 * retrieve all cached objects of a certain class for an object
 	 * 
-	 * @param forObject
 	 * @param c
 	 * @return
 	 */
@@ -194,8 +190,7 @@
 	/**
 	 * remove a cached object
 	 * 
-	 * @param forObject
-	 * @param toCache
+	 * @param classToUnCache
 	 * @return
 	 */
 	public static ArrayList<?> uncache(Class<?> classToUnCache) {
@@ -208,8 +203,7 @@
 	/**
 	 * remove a cached object
 	 * 
-	 * @param forObject
-	 * @param toCache
+	 * @param toUnCache
 	 * @return
 	 */
 	public boolean uncache(Object toUnCache) {
@@ -226,7 +220,6 @@
 	/**
 	 * Gets the locale of the corpus.
 	 * 
-	 * @return the locale
 	 */
 	protected String lang = null;
 	
@@ -614,7 +607,6 @@
 	/**
 	 * Creates the subcorpus.
 	 *
-	 * @param elem the elem
 	 * @return the subcorpus
 	 * @throws CqiClientException the cqi client exception
 	 * @throws InterruptedException 
@@ -1019,8 +1011,6 @@
 	 * 
 	 * @return the properties
 	 * 
-	 * @throws CqiClientException
-	 *             the cqi client exception
 	 */
 	public List<VirtualProperty> getVirtualProperties() {
 		if (virtualProperties == null) {
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/WordProperty.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/WordProperty.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/WordProperty.java	(revision 3940)
@@ -98,7 +98,7 @@
 	
 	/**
 	 * 
-	 * @param value
+	 * @param values
 	 * @return the CQL inner word test in [] for several values
 	 */
 	public String getCQLTest(List<String> values) {
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 3940)
@@ -99,8 +99,6 @@
 	 * Instantiates a new corpus. This constructor is not intended to be used
 	 * directly. Use {@link CorpusManager#getCorpus(String)}.
 	 * 
-	 * @param pID the cqp id
-	 * 
 	 * @throws InvalidCqpIdException the invalid cqp id exception
 	 * @throws CqiClientException the cqi client exception
 	 */
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java	(revision 3940)
@@ -78,8 +78,6 @@
 	
 	/**
 	 * 
-	 * @param corpus
-	 * @param v
 	 * @return a list of word and structure properties read from a String
 	 */
 	public static boolean isGsonString(String gsonString) {
@@ -92,8 +90,6 @@
 	
 	/**
 	 * 
-	 * @param corpus
-	 * @param v
 	 * @return a list of word and structure properties read from a String
 	 */
 	public static String fromGSonToPattern(String gsonString) {
@@ -116,8 +112,6 @@
 	
 	/**
 	 * 
-	 * @param corpus
-	 * @param v
 	 * @return a list of word and structure properties read from a String
 	 */
 	public static List<String> fromGSonToPropertyNames(String gsonString) {
@@ -300,7 +294,7 @@
 	/**
 	 * Instantiates a new reference pattern.
 	 *
-	 * @param parameters the properties
+	 * @param prop the word property
 	 */
 	public ReferencePattern(Property prop) {
 		this.properties = new ArrayList<>();
@@ -310,7 +304,7 @@
 	/**
 	 * Instantiates a new reference pattern.
 	 *
-	 * @param parameters the properties
+	 * @param prop the structural unit property
 	 */
 	public ReferencePattern(StructuralUnitProperty prop) {
 		properties.add(prop);
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/AbstractCqiClient.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/AbstractCqiClient.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/AbstractCqiClient.java	(revision 3940)
@@ -642,8 +642,6 @@
 	/**
 	 * Runs a CQP query line.
 	 *
-	 * @param motherCorpus the mother corpus
-	 * @param subcorpus the subcorpus
 	 * @param query the query
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 * @throws UnexpectedAnswerException Signals that the data read on the socket is unexpected
@@ -655,8 +653,6 @@
 	/**
 	 * Load a CQP corpus (system) from a registry file
 	 *
-	 * @param motherCorpus the mother corpus
-	 * @param query the query
 	 * @return
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 * @throws UnexpectedAnswerException Signals that the data read on the socket is unexpected
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiServer.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiServer.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiServer.java	(revision 3940)
@@ -124,16 +124,13 @@
 	/**
 	 * Instantiates a new cqi server.
 	 *
-	 * @param pathToExecutable the path to executable
 	 * @param pathToRegistry the path to registry
 	 * @param pathToInitFile the path to init file
 	 * @param additionalOptions the additional options
 	 * @param monitorOutput the monitor output
 	 * @throws Exception
 	 */
-	public MemCqiServer(String pathToRegistry,
-			String pathToInitFile, String additionalOptions,
-			boolean monitorOutput) throws Exception {
+	public MemCqiServer(String pathToRegistry, String pathToInitFile, String additionalOptions, boolean monitorOutput) throws Exception {
 		
 		this.pathToRegistry = pathToRegistry;
 		this.pathToInitFile = pathToInitFile;
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbAlign.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbAlign.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbAlign.java	(revision 3940)
@@ -53,7 +53,6 @@
 	/**
 	 * Instantiates a new cwb align using the executable path set in preferences
 	 *
-	 * @param binpath the binpath
 	 */
 	public CwbAlign() {
 		this.binpath = CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PATH_TO_CQPLIB);
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java	(revision 3940)
@@ -74,7 +74,6 @@
 	 * Instantiates a new CQi server using executable path set in CQPLibPreferences.
 	 *
 	 * @param pathToData the path to data
-	 * @param inputFiles the input files
 	 * @param pathToRegistry the path to the registry
 	 * @param pAttributes the positional attribute
 	 * @param sAttributes the structural attribute
@@ -94,7 +93,6 @@
 	 * Instantiates a new CQi server using executable path set in CQPLibPreferences.
 	 *
 	 * @param pathToData the path to data
-	 * @param inputFiles the input files
 	 * @param pathToRegistry the path to the registry
 	 * @param pAttributes the positional attribute
 	 * @param sAttributes the structural attribute
Index: TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 3940)
@@ -1139,8 +1139,6 @@
 	/**
 	 * reload a part of the concordance lines
 	 * 
-	 * @param topLine
-	 * @param bottomLine
 	 * @return
 	 * @throws CqiClientException
 	 * @throws IOException
Index: TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java	(revision 3940)
@@ -109,7 +109,6 @@
 	 * @param rightCtxAnalysisValues the right context analysis property values
 	 * @param refView the view references
 	 * @param refAna the sort references
-	 * @param matchs the matchs
 	 */
 	public Line(Concordance concordance, List<String> keywordsIdValues,
 			String textId, Map<Property, List<String>> leftCtxViewPropertiesValues,
@@ -616,10 +615,9 @@
 	}
 	
 	/**
-	 * Match get propertie.
+	 * Match get properties.
 	 *
 	 * @param corpus the corpus
-	 * @param propertie the propertie
 	 * @param positions the positions
 	 * @return the list
 	 * @throws CqiClientException the cqi client exception
@@ -633,7 +631,7 @@
 	 * Match get properties.
 	 *
 	 * @param corpus the corpus
-	 * @param propertie the propertie
+	 * @param property the property
 	 * @param positions the positions
 	 * @return the list
 	 * @throws CqiClientException the cqi client exception
Index: TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/links/coocmatrix/toCA.java
===================================================================
--- TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/links/coocmatrix/toCA.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/links/coocmatrix/toCA.java	(revision 3940)
@@ -12,7 +12,6 @@
 	/**
 	 * Instantiates a new cA.
 	 *
-	 * @param lexicaltable the lexicaltable
 	 * @throws StatException the stat exception
 	 * @throws CqiClientException 
 	 */
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/EditionAnnotations.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/EditionAnnotations.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/EditionAnnotations.java	(revision 3940)
@@ -223,7 +223,7 @@
 	
 	/**
 	 * 
-	 * @param i the relative position of the HashMap<String, String> in the lines list
+	 * @param line the relative position of the HashMap<String, String> in the lines list
 	 * 
 	 * @return the HashMap<String, String> pointed by 'i'. May return null if i is wrong.
 	 */
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/ConcordanceAnnotations.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/ConcordanceAnnotations.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/ConcordanceAnnotations.java	(revision 3940)
@@ -235,7 +235,7 @@
 	
 	/**
 	 * 
-	 * @param i the relative position of the AnnotationLine in the lines list
+	 * @param line the relative position of the AnnotationLine in the lines list
 	 * 
 	 * @return the AnnotationLine pointed by 'i'. May return null if i is wrong.
 	 */
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/OpenKRView.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/OpenKRView.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/OpenKRView.java	(revision 3940)
@@ -32,8 +32,6 @@
 	/**
 	 * Opens the view with the given identifier.
 	 * 
-	 * @param viewId
-	 *            The view to open; must not be <code>null</code>
 	 * @throws PartInitException
 	 *             If the part could not be initialized.
 	 */
@@ -55,8 +53,6 @@
 	/**
 	 * Opens the view with the given identifier.
 	 * 
-	 * @param viewId
-	 *            The view to open; must not be <code>null</code>
 	 * @throws PartInitException
 	 *             If the part could not be initialized.
 	 */
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCChartComposite.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCChartComposite.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCChartComposite.java	(revision 3940)
@@ -34,7 +34,6 @@
 	 * Creates a JFreeChart composite.
 	 * 
 	 * @param parent
-	 * @param panel
 	 */
 	public JFCChartComposite(ChartEditor chartEditor, Composite parent) {
 		super(chartEditor, parent, SWT.EMBEDDED | SWT.NO_BACKGROUND);
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/JFCDefaultChartMouseListener.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/JFCDefaultChartMouseListener.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/JFCDefaultChartMouseListener.java	(revision 3940)
@@ -39,7 +39,6 @@
 	
 	
 	/**
-	 * @param swtChartsComponentProvider
 	 * @param chartComponent
 	 */
 	public JFCDefaultChartMouseListener(IChartComponent chartComponent) {
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/FactoMineRCA.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/FactoMineRCA.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/FactoMineRCA.java	(revision 3940)
@@ -488,7 +488,6 @@
 	 *
 	 * @return the singular values pow 2
 	 * @throws RWorkspaceException
-	 * @throws StatException the stat exception
 	 * @throws REXPMismatchException
 	 */
 	@Override
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 3940)
@@ -28,9 +28,6 @@
 		this(null, parent);
 	}
 	
-	/**
-	 * @param parent
-	 */
 	public Eigenvalues(String parametersNodePath) {
 		this(parametersNodePath, null);
 	}
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 3940)
@@ -145,7 +145,6 @@
 	 * Creates a new empty CA.
 	 *
 	 * @param lexicalTable the lexical table
-	 * @throws StatException stat exception if the structure can not be created in R statistics engine.
 	 */
 	public CA(LexicalTable lexicalTable) {
 		
@@ -155,8 +154,6 @@
 	/**
 	 * Creates a new empty CA.
 	 *
-	 * @param lexicalTable the lexical table
-	 * @throws StatException stat exception if the structure can not be created in R statistics engine.
 	 */
 	public CA(String parametersNodePath) {
 		
@@ -167,7 +164,6 @@
 	 * Creates a new empty CA.
 	 *
 	 * @param lexicalTable the lexical table
-	 * @throws StatException stat exception if the structure can not be created in R statistics engine.
 	 */
 	public CA(String parametersNodePath, LexicalTable lexicalTable) {
 		
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/REigenvaluesChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/REigenvaluesChartCreator.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/REigenvaluesChartCreator.java	(revision 3940)
@@ -43,8 +43,6 @@
 	 * @param ca
 	 * @param file
 	 * @return the singular values bar plot object
-	 * @throws RWorkspaceException
-	 * @throws REXPMismatchException
 	 */
 	public File createSingularValuesBarPlot(FactoMineRCA ca, File file) {
 		
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/base/CAChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/base/CAChartCreator.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/base/CAChartCreator.java	(revision 3940)
@@ -35,16 +35,12 @@
 	/**
 	 * Sets the items selection order on label.
 	 * @param chart
-	 * @param itemsSelectionOrder
 	 */
 	public abstract void updateChartCAFactorialMapSetLabelItemsSelectionOrder(Object chart, String[] rowLabels, String[] colLabels);
 	
 	
 	/**
 	 * Sets the CA factorial map dimensions.
-	 * @param editorPart
-	 * @param dimension1
-	 * @param dimension2
 	 */
 	public abstract void updateChartCAFactorialMapSetDimensions(CA ca);
 	
